OAuth Plugin - Feature #732

AOuth 2 for MYOB ( Australia/NZ) new api request
08/16/2013 08:55 PM - Mark Crichton

Status: New Start date: 08/16/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 10.00 hours
Target version:

Browser (if web any

client):

Description

I would like to connect to the new APi for MYOB using OAuth version 2, and need some help.

Their link to how to do this is at [[http://developer.myob.com/api/accountright/api-overview/authentication/]]
Can you advise whats the next step to set up for this.

Many thanks

Mark.

History

#1 - 09/02/2013 10:07 AM - Edit Mera

Hi Mark,
You have to extend the DefaultApi20 class from scribe (see com.donay.oauth.apis.XeroApi.java) and implement the com.donay.oauth.types.|OAuth
interface.

#2 - 09/02/2013 10:36 AM - Mark Crichton

Hi Mera
| have tried to google the links you supplied, but don't get much that makes sense. What you say I'm sure is logical to those familiar with it, but it's
completely new to me. Can you give me a few more clues please. :)

#3 - 09/02/2013 11:28 AM - Edit Mera

To be able to add a new api to this plugin yourself, you should first get familiar with it :)

Start by reading the plugin docs, try it, take a look at the source code, read scribe-java docs https:/github.com/fernandezpablo85/scribe-java , etc.
Or you can use the 'Incentify’ button on the right side of this page.

Regards,

Edit

#4 - 09/23/2013 07:00 PM - Edit Mera
- Estimated time set to 10.00 h
